package org.insa.graphs.algorithm.shortestpath;

import org.insa.graphs.model.Arc;
import org.insa.graphs.model.Node;

public class LabelStar extends Label implements Comparable<Label>{
	
	protected float estim;

	public LabelStar(Node sommet, Arc padre, float prix, float estimation) {
		super(sommet, padre, prix);
		this.estim=estimation;
	}
	
	public LabelStar(Node sommet,Arc padre, float prix, float estimation, boolean mark) {
		super(sommet, padre, prix, mark);
		this.estim=estimation;
	}
		
	public float getEstimation() {
		return this.estim;//même remarque que pour son pendant dans Label
	}
	
	public float getTotalCost() {
		return this.cout+this.estim;
	}
	
	
	//note: pourquoi l'icône de ce fichier dans eclipse est-elle un peu différente?
}