package org.insa.graphs.algorithm.shortestpath;


import org.insa.graphs.algorithm.AbstractInputData.Mode;
import org.insa.graphs.model.Arc;
import org.insa.graphs.model.Node;

public class AStarAlgorithm extends DijkstraAlgorithm {
	
	// au cas où data.getMaximumSpeed soit parfois définie
	private int sineg(int a, int b) {
		int retour=a;
		if (a<1)
			retour=b;
		return retour;
	}
	
	private int vitessemax=sineg(data.getMaximumSpeed(), data.getGraph().getGraphInformation().getMaximumSpeed());
	
	
		
    public AStarAlgorithm(ShortestPathData data) {
        super(data);
    }
    
    
    public Label LabelTyped(Node sommet, Arc padre, float prix) {
    	
    	float difference=(float)this.getInputData().getDestination().getPoint().distanceTo(sommet.getPoint());
    	//prend la valeur de la distance à vol d'oiseau  		
    	    	
    	if (data.getMode()==Mode.TIME) 
    		difference=difference/this.vitessemax;
    	
    	return new LabelStar(sommet, padre, prix, difference);
    }
 
}
